org.keycloak.models.cache.infinispan

## Class UserCacheManager

- java.lang.Object
- - org.keycloak.models.cache.infinispan.CacheManager
  - - org.keycloak.models.cache.infinispan.UserCacheManager

-     public class UserCacheManager
      extends CacheManager

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `enabled`

    - ### Fields inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `cache, counter, revisions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserCacheManager(org.infinispan.Cache<String,Revisioned> cache, org.infinispan.Cache<String,Long> revisions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInvalidationsFromEvent(InvalidationEvent event, Set<String> invalidations)`
    `void` | `clear()`
    `void` | `consentInvalidation(String userId, Set<String> invalidations)`
    `void` | `federatedIdentityLinkRemovedInvalidation(String userId, String realmId, String identityProviderId, String socialUserId, Set<String> invalidations)`
    `void` | `federatedIdentityLinkUpdatedInvalidation(String userId, Set<String> invalidations)`
    `void` | `fullUserInvalidation(String userId, String username, String email, String realmId, boolean identityFederationEnabled, Map<String,String> federatedIdentities, Set<String> invalidations)`
    `protected org.jboss.logging.Logger` | `getLogger()`
    `void` | `invalidateRealmUsers(String realm, Set<String> invalidations)`
    `void` | `userUpdatedInvalidations(String userId, String username, String email, String realmId, Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `addInvalidations, addRevisioned, addRevisioned, bumpVersion, endRevisionBatch, get, getCache, getCurrentCounter, getCurrentRevision, invalidateObject, invalidationEventReceived, sendInvalidationEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          protected volatile boolean enabled

  - ### Constructor Detail

    - #### UserCacheManager

          public UserCacheManager(org.infinispan.Cache<String,Revisioned> cache,
                                  org.infinispan.Cache<String,Long> revisions)

  - ### Method Detail

    - #### getLogger

          protected org.jboss.logging.Logger getLogger()

      Specified by:
        `getLogger` in class `CacheManager`

    - #### clear

          public void clear()

      Overrides:
        `clear` in class `CacheManager`

    - #### userUpdatedInvalidations

          public void userUpdatedInvalidations(String userId,
                                               String username,
                                               String email,
                                               String realmId,
                                               Set<String> invalidations)

    - #### fullUserInvalidation

          public void fullUserInvalidation(String userId,
                                           String username,
                                           String email,
                                           String realmId,
                                           boolean identityFederationEnabled,
                                           Map<String,String> federatedIdentities,
                                           Set<String> invalidations)

    - #### federatedIdentityLinkUpdatedInvalidation

          public void federatedIdentityLinkUpdatedInvalidation(String userId,
                                                               Set<String> invalidations)

    - #### federatedIdentityLinkRemovedInvalidation

          public void federatedIdentityLinkRemovedInvalidation(String userId,
                                                               String realmId,
                                                               String identityProviderId,
                                                               String socialUserId,
                                                               Set<String> invalidations)

    - #### consentInvalidation

          public void consentInvalidation(String userId,
                                          Set<String> invalidations)

    - #### addInvalidationsFromEvent

          protected void addInvalidationsFromEvent(InvalidationEvent event,
                                                   Set<String> invalidations)

      Specified by:
        `addInvalidationsFromEvent` in class `CacheManager`

    - #### invalidateRealmUsers

          public void invalidateRealmUsers(String realm,
                                           Set<String> invalidations)

Copyright © 2020 JBoss by Red Hat. All rights reserved.